Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.build
Interface IBuildModel

All Superinterfaces:
  IAdaptable, IBaseModel, IModel, IModelChangeProvider

public interface IBuildModel
extends IModel, IModelChangeProvider

This model is created from the "plugin.jars" file that defines what source folders in the plug-in are to be used to build require plug-in Jars.

If this model is editable, isEditable() will return true and the model instance will implement IEditable interface. The model is capable of providing change notification for the registered listeners.

Method Summary
`IBuild` | `getBuild()` Returns the top-level model object of this model.
`IBuildModelFactory` | `getFactory()` Returns the factory that should be used to create new instance of model objects.
`String` | `getInstallLocation()` Returns the location of the file used to create the model.

Methods inherited from interface org.eclipse.pde.core.IModel
`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

Methods inherited from interface org.eclipse.pde.core.IBaseModel
`dispose, isDisposed, isEditable, isValid`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider
`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

Method Detail

### getBuild

    public IBuild getBuild()

  Returns the top-level model object of this model.

  Returns:
    a build.properties top-level model object

### getFactory

    public IBuildModelFactory getFactory()

  Returns the factory that should be used to create new instance of model objects.

  Returns:
    the build.properties model factory

### getInstallLocation

    public String getInstallLocation()

  Returns the location of the file used to create the model.

  Returns:
    the location of the build.properties file or `null` if the file is in a workspace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.